<?php
require_once '../script_php/ConexaoSql.php';
//requerendo a classe que conhece o bando sqlserver
require_once 'SqlServer.php';
//instancia de sqlserver
$sql = new Sqlserver;


//include autoloader do dompdf
require_once("dompdf/autoload.inc.php");
// reference the Dompdf namespace
use Dompdf\Dompdf;

// instantiate and use the dompdf class
$dompdf = new Dompdf();
$dompdf->setPaper('A4', 'landscape');

$html = "<table border=1 style='text-align: center; font-size:14px'>";

//CABECALHO
$html .= "<tr>";
$html .= "<td> EMPRESA </td>";
$html .= "<td> JANEIRO </td>";
$html .= "<td> FEVEREIRO </td>";
$html .= "<td> MARÇO </td>";
$html .= "<td> ABRIL </td>";
$html .= "<td> MAIO </td>";
$html .= "<td> JUNHO </td>";
$html .= "<td> JULHO </td>";
$html .= "<td> AGOSTO </td>";
$html .= "<td> SETEMBRO </td>";
$html .= "<td> OUTUBRO </td>";
$html .= "<td> NOVEMBRO </td>";
$html .= "<td> DEZEMBRO </td>";
$html .= "<td> TOTAIS </td>";
$html .= "</tr>";

//metodo que busca as vendas agrupadas por mes
$dados = $sql->VendasAgrupadasMes();

//percorrer dados de vendas
foreach ( $dados as $dado){

//CORPO
$html .= "<tr>";
$i = 0;
$j = 0;

while($i <= 12)
{   $html .= '<td>' . $dado[$i] . '</td>';
    $i++;
}

//colula que calcula os valores por loja
$html .= '<td>' . '0.00' . '</td>';
}


//calculo de rodape
$html .= '<tr>';
$html .= '<td>' . 'TOTAIS' . '</td>';
while ($j <= 12)
{
$html .= '<td>' . '0.00' . '</td>';
$j++;

}
$html .= '</tr>';



$dompdf->loadHtml('
    <img src="logo.jpg" height=50px>
    <hr>
    <span> RELATÓRIO DE VENDAS MENSAL DE TODAS AS EMPRESAS  </span> <p>
    NO PERÍODO DE 01/01/2024 À 19/04/2024
    '

.$html);

// (Optional) Setup the paper size and orientation
$dompdf->setPaper('A4', 'landscape');
// Render the HTML as PDF
$dompdf->render();
// Output the generated PDF to Browser
$dompdf->stream();